package com.ibm.lab.extensionpoint;

/** 
 * ToolsActionPulldownDelegate creates the menu items for the
 * Tools pulldown menu.  When an item is selected, it invokes
 * the <code>run()</code> of the corresponding IToolsAction
 * instance specified on the <tool action=IToolsAction label="xxx"> tag.
 */

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Menu;
import org.eclipse.swt.widgets.MenuItem;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowPulldownDelegate;

public class ToolActionsPulldownDelegate
	implements IWorkbenchWindowPulldownDelegate {
	private ExtensionProcessor extensionProcessor = null;	// replace with correct code

	public ToolActionsPulldownDelegate() {
		super();
	}

	public void dispose() {
	}

	/**
	 * Returns the menu for this pull down action.  This method will only be
	 * called if the user opens the pull down menu for the action.  The menu
	 * is disposed after use.
	 *
	 * @return the menu
	 */
	public Menu getMenu(Control parent) {
		Menu menu = new Menu(parent);

		// insert code here

		return menu;
	}

	public void init(IWorkbenchWindow window) {
		// insert code here		
	}
	
	/**
	 * Notifies this action delegate that menu pulldown was selected
	 * (i.e., not one of its menu item choices).
	 */
	public void run(IAction action) {
		MessageDialog.openInformation(
			null,
			"Tool Actions",
			"This menu provides a new extension point that can be filled with tool actions.");

	}
	
	/**
	 * Notifies this action delegate that the selection in the workbench has changed.
	 */
	public void selectionChanged(IAction action, ISelection selection) {
		// no action needed here
	}
}